# Method: media.download

- [HTTP request](https://developers.google.com/maps/documentation/datasets/reference/rest/v1/media/download#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/maps/documentation/datasets/reference/rest/v1/media/download#body.PATH_PARAMETERS)
- [Request body](https://developers.google.com/maps/documentation/datasets/reference/rest/v1/media/download#body.request_body)
- [Response body](https://developers.google.com/maps/documentation/datasets/reference/rest/v1/media/download#body.response_body)
- [Authorization scopes](https://developers.google.com/maps/documentation/datasets/reference/rest/v1/media/download#body.aspect)
- [IAM Permissions](https://developers.google.com/maps/documentation/datasets/reference/rest/v1/media/download#body.aspect_1)

Downloads a dataset.

### HTTP request

`GET https://mapsplatformdatasets.googleapis.com/v1/{name=projects/*/datasets/*}:download`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `name` | `string` Resource name of the dataset to fetch. Format: projects/{project}/datasets/{datasetId} |

### Request body

The request body must be empty.

### Response body

If successful, the response body is empty.

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/cloud-platform`

### IAM Permissions

Requires the following [IAM](https://cloud.google.com/iam/docs) permission on the `name` resource:

- `mapsplatformdatasets.datasets.export`

For more information, see the [IAM documentation](https://cloud.google.com/iam/docs).